## arduino-cli

Arduino CLI.

### Synopsis

Arduino Command Line Interface (arduino-cli).

### Examples

```
  debian/build/bin/docsgen <command> [flags...]
```

### Options

```
      --additional-urls strings   Comma-separated list of additional URLs for the Boards Manager.
      --config-dir string         Sets the default data directory (Arduino CLI will look for configuration file in this directory).
      --config-file string        The custom config file (if not specified the default will be used).
  -h, --help                      help for arduino-cli
      --json                      Print the output in JSON format.
      --log                       Print the logs on the standard output.
      --log-file string           Path to the file where logs will be written.
      --log-format string         The output format for the logs, can be: text, json (default "text")
      --log-level string          Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic (default "info")
      --no-color                  Disable colored output.
```

### SEE ALSO

* [arduino-cli board](arduino-cli_board.md)	 - Arduino board commands.
* [arduino-cli burn-bootloader](arduino-cli_burn-bootloader.md)	 - Upload the bootloader.
* [arduino-cli cache](arduino-cli_cache.md)	 - Arduino cache commands.
* [arduino-cli compile](arduino-cli_compile.md)	 - Compiles Arduino sketches.
* [arduino-cli completion](arduino-cli_completion.md)	 - Generates completion scripts
* [arduino-cli config](arduino-cli_config.md)	 - Arduino configuration commands.
* [arduino-cli core](arduino-cli_core.md)	 - Arduino core operations.
* [arduino-cli daemon](arduino-cli_daemon.md)	 - Run the Arduino CLI as a gRPC daemon.
* [arduino-cli debug](arduino-cli_debug.md)	 - Debug Arduino sketches.
* [arduino-cli lib](arduino-cli_lib.md)	 - Arduino commands about libraries.
* [arduino-cli monitor](arduino-cli_monitor.md)	 - Open a communication port with a board.
* [arduino-cli outdated](arduino-cli_outdated.md)	 - Lists cores and libraries that can be upgraded
* [arduino-cli profile](arduino-cli_profile.md)	 - Build profile operations.
* [arduino-cli sketch](arduino-cli_sketch.md)	 - Arduino CLI sketch commands.
* [arduino-cli update](arduino-cli_update.md)	 - Updates the index of cores and libraries
* [arduino-cli upgrade](arduino-cli_upgrade.md)	 - Upgrades installed cores and libraries.
* [arduino-cli upload](arduino-cli_upload.md)	 - Upload Arduino sketches.
* [arduino-cli version](arduino-cli_version.md)	 - Shows version number of Arduino CLI.

